body {
/*    position: relative;*/
}

/*
 * Sidebar nav styling.
 */
.nav .active {
  /*font-weight: bold;*/
  background: #337ab7;
}

.sidenav.affix {
  margin-right: 15px;
}

#report-navsection .nav a {
  border-radius: 4px;
  padding: 5px 7px 5px 7px;
}

.nav .active a {
  color: white;
}

.nav .nav {
  display: none;
}

.nav .active .nav {
  display: block;
}

.nav .nav a {
  font-weight: normal;
  font-size: .85em;
}

.nav .nav span {
  margin: 0 5px 0 2px;
}

.nav .nav .active a,
.nav .nav .active:hover a,
.nav .nav .active:focus a {
  font-weight: bold;
  padding-left: 30px;
  border-left: 5px solid black;
}

.nav .nav .active span,
.nav .nav .active:hover span,
.nav .nav .active:focus span {
  display: none;
}

/* vertical alignment styles */
/* The following CSS ensures columns of equal height
 * It was pulled from http://www.minimit.com/articles/solutions-tutorials/bootstrap-3-responsive-columns-of-same-height
 */
.col-top {
    vertical-align: top;
}
.col-middle {
    vertical-align: middle;
}
.col-bottom {
    vertical-align: bottom;
}

/* columns of same height styles */
.row-full-height {
    height: 100%;
}
.col-full-height {
    height: 100%;
    vertical-align: middle;
}
.row-same-height {
    display: table;
    width: 100%;
    /* fix overflow */
    table-layout: fixed;
}
.col-xs-height {
    display: table-cell;
    float: none !important;
}

@media (min-width: 768px) {
    .col-sm-height {
        display: table-cell;
        float: none !important;
    }
}
@media (min-width: 992px) {
    .col-md-height {
        display: table-cell;
        float: none !important;
    }
}
@media (min-width: 1200px) {
    .col-lg-height {
        display: table-cell;
        float: none !important;
    }
}

.side-borders {
  border-left: 1px solid black;
  border-right: 1px solid black;
}

.report div.row-same-height > div[class^="col-"] {
    border-top: 1px solid black;
    border-right: 1px solid black;
}

.report div.row-same-height .left-border {
    border-left: 1px solid black;
}

.report div.row-same-height > div[class^="col-"] .no-border {
    border: none;
}

.report > div.row:last-child {
    border-bottom: 1px solid black;
}

/* Commenting out for now because it conflicts with bootstrap buttons */
/*.report a {
    color: #0000CE;
}

.report a:visited {
    color: #CC0099;
}*/

/* firefox fix */
.img-responsive {
    width: 100%;
}
/* End of equal column height code */

.field_label {
    background-color: #CCC6AE;
    font-weight: bold;
    //-ms-word-break: break-all;
    //word-break: break-all;

    // Non standard for webkit
    //word-break: break-word;

    //-webkit-hyphens: auto;
    //-moz-hyphens: auto;
    //hyphens: auto;

    word-wrap: break-word;

    vertical-align: top;
}

.section_title {
    background-color: #036;
    color: white;
    padding: 0.3em 0 0.3em 0.5em;
    font-weight: bold;
}
.subsection_title {
    background-color: #699;
    padding: 0.3em 0 0.3em 0.5em;
    font-weight: bold;
}
.subsubsection_title {
    background-color: #ADC9C8;
    padding: 0.3em 0 0.3em 0.5em;
}

.sub3section_title {
    background-color: #CCDDDD;
    padding: 0.3em 0 0.3em 0.5em;
}

.subsection_title > a, .subsection_title a:visited {
    color: black;
}

.subsection {
    background-color: #ADC9C8;
    font-weight: bold;
}

.report_buttons {
    margin-bottom: 0.7em;
}

.row-striped:nth-child(odd) {
    background-color: #f9f9f9;
}
.row-striped:hover {
    background-color: #e8e8e8;
}


/*
 * Add bottom buffer to citation 
 */
.citation:nth-last-child(n+2) {
    padding-bottom: 1em;
}

.row.text:nth-last-child(n+2) {
    padding-bottom: 1em;
}

.equal {
    overflow: hidden; 
}

.report table {
    margin-bottom: 0;
}

/* 
 * Table class for black borders instead of the grey (#ddd) default.
 */
.table-bordered-black, .table-bordered-black td {
    border-color: black;
}

/* Word break on long text */
.report td {
    word-wrap: break-word;
}

.break-word {
    word-wrap: break-word;
    overflow-wrap: break-word;
}

.js-trigger-collapse > i.fa {
    color: white;
    background: black;
    margin: 0 0.5em 0 0.5em;
}

.js-trigger-collapse {
    border: 1px solid black;
}

.species {
    color: grey;
}

.indent-left-4 {
    padding-left: 4em;
}

/* apply breaks in comma-only-separated lists in the GO section of Gene Reports */
#molecular_function_sub div.datarow a::before { content: "\a"; }
#biological_process_sub div.datarow a::before { content: "\a"; }
#cellular_component_sub div.datarow a::before { content: "\a"; }

/* VEP variant table classes */
#variants_table_insert_div {
    margin: 0 -15px;
}
#variants_table_insert_div p {
    margin: 5px;
}
#variants_table_insert_div table td {
    vertical-align: middle;
}
.variant-cons {
    text-indent: -1em;
    padding-left: 1.5em;
    line-height: 1.2;
    margin-top: -5px;
}
.variant-imp {
    padding-left: 0.5em;
}
.variant-highlight {
    background-color: #DAFFDA;
}
.nobreak {
    white-space: nowrap;
}


/**
 * Use the :target pseudo-element to apply
 * styles to the element with the same ID as
 * the fragment identifier.
 * (e.g. `#target-section`)
 *
 * The pseudo-element can also be used in
 * conjunction with another selector to
 * define a variety of target styles.
 * (e.g. `#target-section:target)
 */

:target {
    -webkit-animation: target-fade 3s;
    -moz-animation: target-fade 3s;
    -o-animation: target-fade 3s;
    animation: target-fade 3s;
}


/**
 * Keyframe animation definition
 *
 * 1. Insert a color of your choice here
 */

@-webkit-keyframes target-fade {
    from { background-color: #c6d9eb; } /* [1] */
    to { background-color: transparent; }
}

@-moz-keyframes target-fade {
    from { background-color: #c6d9eb; } /* [1] */
    to { background-color: transparent; }
}

@-o-keyframes target-fade {
    from { background-color: #c6d9eb; } /* [1] */
    to { background-color: transparent; }
}

@keyframes target-fade {
    from { background-color: #c6d9eb; } /* [1] */
    to { background-color: transparent; }
}

.centered-around {
  display: flex;
  justify-content: space-around;
  align-content: space-around;
  align-items: center;
  flex-flow: row wrap;
}
